# classes/phing/system/io/FileInputStream.php

## \FileInputStream
jump to top

Input stream subclass for file streams.

Extends from
  \InputStream
package
  phing.system.io

### Properties

`\PhingFile $file= ''`

The associated file.

Details

Type
  \PhingFile

### Methods

`__construct( \PhingFile|string $file, boolean $append = false ) :`
Construct a new FileInputStream.
Parameters

Name | Type | Description
--- | --- | ---
$file | \PhingFile|string | Path to the file
$append | boolean | Whether to append (ignored)

Details

throws
  - if invalid argument specified.
throws
  - if unable to open file.

`__toString( ) : string`
Returns a string representation of the attached file.
Returns

Type | Description
--- | ---
string |

`markSupported( ) : boolean`
Mark is supported by FileInputStream.
Returns

Type | Description
--- | ---
boolean |

Documentation was generated by DocBlox 0.13.1.